3 Replies Latest reply on Mar 15, 2017 1:02 PM by ryanskihead

    Ios build fail with cli 6.5.0 but ok for 6.3.1

    leglises63839512

      Hello,

       

      My problem is when i want build my app with the version cli 6.5.0, I've an error with only ios (ok for android) . If i build with cli 6.3.1, all is OK .

       

      Many people had this problem, but the solution isn't work for me .

       

      Here is the log :

       

       

      ** EXPORT FAILED **

       

      Error code 70 for command: xcodebuild with args: -exportArchive,-archivePath,vipNote.xcarchive,-exportOptionsPlist,/private/project/export Options.plist,-exportPath,/private/project/build/device

       

      Here is the config.xml (plugin)  :

       

         <feature name="http://api.phonegap.com/1.0/network" />

          <gap:plugin name="cordova-plugin-whitelist" source="npm" />

          <gap:plugin name="cordova-plugin-device" source="npm" />

          <gap:plugin name="cordova-plugin-statusbar" source="npm" />

          <gap:plugin name="cordova-plugin-camera" source="npm" />

          <gap:plugin name="cordova-plugin-contacts" source="npm" />

          <gap:plugin name="cordova-plugin-geolocation" source="npm" />

          <gap:plugin name="cordova-plugin-actionsheet" source="npm" />

        <plugin name="phonegap-plugin-push" spec="1.6.0">

        <param name="SENDER_ID" value="789632398244" />

        </plugin>

       

      any help would be appreciated

       

      Thanks

        • 1. Re: Ios build fail with cli 6.5.0 but ok for 6.3.1
          ryanskihead Adobe Employee

          That configuration is compiling successfully for me...

           

          Can you please share the full config.xml of your failure state?

          • 2. Re: Ios build fail with cli 6.5.0 but ok for 6.3.1
            leglises63839512 Level 1

            Hey,

             

            Here my full config.xml

             

            <?xml version="1.0" encoding="UTF-8" ?>

            <widget xmlns     = "http://www.w3.org/ns/widgets"

                xmlns:gap     = "http://phonegap.com/ns/1.0"

                xmlns:android = "http://schemas.android.com/apk/res/android"

                id            = "com.abcdera.abcdera"

                version = "1.8"

                android-versionCode="8324"

            >

               

             

             

            <preference name="phonegap-version" value="cli-6.5.0" />

               

              <name>Abcdera</name>

              <description>Abcdera - appli</description>

             

                  <platform name="android">

                          <icon src="icon-3.png" />

                 </platform>

                  <platform name="ios">

                          <icon src="icon-2.png" />

                 </platform>

              <splash src="splash.png" />

             

              <gap:platform name="ios" />

              <feature name="Contacts">

                <param name="ios-package" value="CDVContacts" />

              </feature>

              <feature name="Camera">

                <param name="ios-package" value="CDVCamera" />

              </feature>

            <feature name="ActionSheet">

              <param name="ios-package" value="ActionSheet" />

            </feature>

            <feature name="ActionSheet">

              <param name="android-package" value="nl.xservices.plugins.actionsheet.ActionSheet"/>

            </feature> 

            <feature name="StatusBar">

                        <param name="ios-package" value="CDVStatusBar" onload="true" />

            </feature>

               

              <gap:platform name="android" />

              <feature name="Contacts">

                <param name="android-package" value="org.apache.cordova.contacts.ContactManager" />

              </feature>

              <feature name="Camera">

                <param name="android-package" value="org.apache.cordova.camera.CameraLauncher" />

              </feature>

             

              <splash src="pict/320x480.png" platform="ios" width="320" height="480" />

              <splash src="pict/640x960.png" platform="ios" width="640" height="960" />

              <splash src="pict/640x1136.png" platform="ios" width="640" height="1136" />

              <splash src="pict/750x1334.png" platform="ios" width="750" height="1334" />

              <splash src="pict/1242x2208.png" platform="ios" width="1242" height="2208" />

              <splash src="pict/768x1024.png" platform="ios" width="768" height="1024" />

              <splash src="pict/1536x2048.png" platform="ios" width="1536" height="2048" />

             

             

              <splash src="pict/240x320.png" platform="android" qualifier="ldpi" />

              <splash src="pict/320x480.png" platform="android" qualifier="mdpi" />

              <splash src="pict/480x800.png" platform="android" qualifier="hdpi" />

              <splash src="pict/750x1334.png" platform="android" qualifier="xhdpi" />

              <splash src="pict/750x1334.png" platform="android" qualifier="fr-xhdpi" />

              <splash src="pict/750x1334.png" platform="android" qualifier="port-xxhdpi" />

             

             

                <preference name="permissions" value="none"/>

                <feature name="http://api.phonegap.com/1.0/network" />

                <gap:plugin name="cordova-plugin-whitelist" source="npm" />

                <gap:plugin name="cordova-plugin-device" source="npm" />

                <gap:plugin name="cordova-plugin-statusbar" source="npm" />

                <plugin name="org.apache.cordova.camera" spec="2.2.0" />

                <plugin name="org.apache.cordova.contacts" spec="2.1.0" />

                <plugin name="org.apache.cordova.geolocation" spec="2.2.0" />

                <gap:plugin name="cordova-plugin-actionsheet" source="npm" />

              <plugin name="phonegap-plugin-push" spec="1.6.0">

              <param name="SENDER_ID" value="78565666654" />

              </plugin>

              <preference name="StatusBarOverlaysWebView" value="false" />

              <preference name="StatusBarBackgroundColor" value="#000000" />

              <preference name="StatusBarStyle"           value="lightcontent" />

              <preference name="ios-statusbarstyle"       value="black-opaque" />

              <preference name="orientation"              value="portrait" />

              <preference name="webviewbounce"            value="true" />

              <preference name="detect-data-types"        value="true" />

              <preference name="AutoHideSplashScreen"     value="false" />

             

              <gap:config-file platform="android" parent="/manifest">

                <uses-permission android:name="android.permission.INTERNET" />

              </gap:config-file>

             

             

             

              <access origin="*" />

              <access origin="http://*" />

              <access origin="https://*" />

              <allow-intent href="*" />

              <allow-navigation href="*" />

              <allow-navigation href="http://*/*" />

              <allow-navigation href="https://*/*" />

             

            </widget>

             

            Have a nice day !

            • 3. Re: Ios build fail with cli 6.5.0 but ok for 6.3.1
              ryanskihead Adobe Employee

              I just used your exact config.xml and built iOS successfully. Android failed though. I also looked at your account and the only app you have has a successful iOS build but a failed Android Build -- did you mean to say that your Android build is the problem?

               

              If its iOS, if you could share an App ID of an app that is in the failure state, that would be helpful.